#! /usr/bin/env perl

# Test package that computes default database settings:

use strict;
use warnings;
use utf8;

use lib 'lib';
use Database::Filter;

binmode( STDOUT, "utf8" );

my @test_cases = (
    'column < 0',
    'column LIKE "%value%"',
    'column CONTAINS "value"',
    'column IS KNOWN',
    'column IS UNKNOWN',
);

eval {
    local $\ = "\n";
    for my $case (@test_cases) {
        my $filter = Database::Filter->new( { filter => $case } );
        my( $sql ) = $filter->filter->to_SQL;
        print "WHERE $sql";
    }
};
if( $@ ) {
    print STDERR $@;
}
