#! /bin/sh

# Test upload of a CSV file.

test -z "${BIN_DIR}" && BIN_DIR=website/cgi-bin

SCRIPT_BASE=`basename $0 | sed "s/_[0-9]*\.sh$//"`

#BEGIN DEPEND------------------------------------------------------------------

INPUT_SCRIPT="${BIN_DIR}/${SCRIPT_BASE}"

#END DEPEND--------------------------------------------------------------------

set -ue
## set -x

BASENAME=$(basename $0 .pl)
TMP_TEST_DB=$(echo tmp${BASENAME}$$ | sed 's/[^-0-9a-zA-Z]//g')

DB_DIR=db
TMP_DB_FILE=${DB_DIR}/${TMP_TEST_DB}.db

sqlite3 ${TMP_DB_FILE} < tests/inputs/samples-r92.sql
sqlite3 ${TMP_DB_FILE} <<END
    insert into revision (id, uuid) values
        (1, 'aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa');
    insert into sample (id, uuid, SolsaID, revision_id) values
        (1, 'aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa', 'VU-TEST-0001', 1);
    insert into experiment_epma (id, uuid, sample_id, revision_id) values
        (1, 'aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa', 1, 1);
END

export REQUEST_URI="/~saulius/restful/website/${TMP_TEST_DB}.db/experiment_epma"
export HTTP_HOST=restfuldb.domain.net
export REQUEST_METHOD=POST
export CONTENT_TYPE="multipart/form-data; boundary=------------------------b989696a28305e74"
export REMOTE_USER=writer

echo "==="

perl -lne 'print "$_\r"' <<EOF |
--------------------------b989696a28305e74
Content-Disposition: form-data; name="jsonfile"; filename="fill.csv"
Content-Type: text/plain

{
   "data" : [
      {
         "attributes" : {
            "sample_id" : {
               "type" : "sample",
               "attributes" : {
                  "SolsaID" : "VU-TEST-0002",
                  "uuid" : "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaab"
               }
            },
            "analytical_conditions" : "warm",
            "uuid" : "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
         },
         "type" : "experiment_epma"
      }
   ]
}

--------------------------b989696a28305e74--
EOF
${INPUT_SCRIPT}

sqlite3 -nullvalue NULL ${TMP_DB_FILE} 'select * from sample order by id';
sqlite3 -nullvalue NULL ${TMP_DB_FILE} 'select * from experiment_epma order by id';

rm -f ${TMP_DB_FILE}
